Retrieve specific vulnerabilities

This operation returns an object containing information about the specified vulnerability (vuln) or vulnerabilities the requester has permission to view.

Path Params
string
required

Vulnerability ID. Can be a single ID or a comma-separated list of IDs.

Query Params
string
enum
Defaults to 1

Display vulnerability data if value is 1. This is also the default behavior if this parameter is omitted from the request. If the value is 0, vulnerability data is NOT displayed.

Allowed:
string
enum
Defaults to 0

Display general information about each vulnerability. The 'custom' option will display custom descriptions.

Allowed:
string
enum
Defaults to 0

Display the default general information about each vulnerability (no custom description).

Allowed:
string
enum
Defaults to 0

Display general vulnerability solution information. The 'custom' option will display custom solutions.

Allowed:
string
enum
Defaults to 0

Display the default solution for each vulnerability (no custom solution).

Allowed:
string
enum
Defaults to 0

Display all questions and answers (Q and A) that exist for each vulnerability.

Allowed:
string
enum
Defaults to 0

Display the Common Vulnerability Scoring System (CVSS) score and vector for each vulnerability.

Allowed:
string
enum
Defaults to 0

Display all tags for each vulnerability.

Allowed:
string
enum
Defaults to 0

Display risk value for each vulnerability. Only meaningful to Advanced Scoring users.

Allowed:
string
enum
Defaults to 0

Display impact value for each vulnerability. Only meaningful to Advanced Scoring users.

Allowed:
string
enum
Defaults to 0

Display likelihood value for each vulnerability. Only meaningful to Advanced Scoring users.

Allowed:
string
enum
Defaults to 0

Display the date the vulnerability was first opened.

Allowed:
string
enum
Defaults to 0

Display each vulnerability's custom risk, if it is defined. Only meaningful to Advanced Scoring users who make use of custom scoring features.

Allowed:
string
enum
Defaults to 0

If a custom policy is applied to any vuln retrieved, setting this parameter displays the custom policy name, description, who created the policy, and the date the policy was created. Only meaningful to Advanced Scoring users who make use of custom scoring features.

Allowed:
string
enum
Defaults to 0

Display the text values of vulnerability scores instead of numeric. NOTE: Only available for CSV output at this time.

Allowed:
string

Display attack vector (AV) data.
Values allowed: 0, 1, open, closed, accepted, invalid, all.
Specifying 0 displays minimal data on open, closed, and accepted AVs.
Specifying 1 displays details on open, closed, and accepted AVs.
Specifying 'all' displays details on AVs of all statuses.
Specifying 'open' displays details on open AVs.

With the exception of 0, 1, and 'all', comma-separated combinations of these options are also allowed.
EXAMPLE: 'open,accepted'

int32

Specify the maximum number of attack vectors to display per vulnerability. PREREQUISITE: display_attack_vectors=1

string
enum
Defaults to 0

Display all attack vector notes for each vulnerability attack vector. PREREQUISITE: display_attack_vectors=1

Allowed:
string
enum
Defaults to 0

Display whether or not an attack vector is 'flagged'. PREREQUISITE: display_attack_vectors=1

Allowed:
string
enum
Defaults to 0

Display scanner tags for each attack vector. PREREQUISITE: display_attack_vectors=1

Allowed:
string
enum
Defaults to 0

Displays attack vectors that have the given ''unreachable'' status. If a vector has this flag set to TRUE (1), a retest on the vector returned a response that was significantly different from the original response, indicating a very different page is now associated with the attack vector path. PREREQUISITE: display_attack_vectors=1

Allowed:
string
enum
Defaults to 1

Display attack vector request information. Basic request data is already shown if display_attack_vectors=1, but this parameter may be useful if the user wishes to omit this information. PREREQUISITE: display_attack_vectors=1

Allowed:
string
enum
Defaults to 1

Display attack vector response information. Basic response data is already shown if display_attack_vectors=1, but this parameter may be useful if the user wishes to omit this information. PREREQUISITE: display_attack_vectors=1

Allowed:
string
enum
Defaults to 0

Display the attack vector response body (can be quite large). PREREQUISITE: display_attack_vectors=1

Allowed:
string
enum
Defaults to 0

Display the attack vector response body match in full (can be quite large). Highlights where the vuln was found. PREREQUISITE: display_attack_vectors=1

Allowed:
string
enum
Defaults to 0

Display a smaller (abbreviated) response body match as part of the response content. Highlights where the vuln was found. PREREQUISITE: display_attack_vectors=1, display_body=1

Allowed:
string
enum
Defaults to 0

Display attack vector HTTP request and response headers. PREREQUISITE: display_attack_vectors=1

Allowed:
string
enum
Defaults to 1

Display attack vector request parameter(s). This data is already shown if display_attack_vectors=1, but this parameter may be useful if the user wishes to omit this information. PREREQUISITE: display_attack_vectors=1

Allowed:
string
enum
Defaults to 0

Display whether or not notes exist for vulnerabilities and attack vectors (result value will be 1 if notes exist, 0 if not).

Allowed:
string
enum
Defaults to 0

Display vulnerability statistics for all sites accessible to the requester.

Allowed:
string
enum
Defaults to 0

Reports vulnerabilities that encountered errors attempting to retrieve attack vector response data. In most cases, issuing a retest on these vulns will fix the issue. PREREQUISITE: display_attack_vectors=1

Allowed:
string
enum
Defaults to 0

Displays the CVSS v3 vector information for each vulnerability. Only applies to CSV format. PREREQUISITE: display_cvss=1

Allowed:
string
enum
Defaults to 0

Displays the Business Logic Assessment (BLA) ID, if any, associated with each vulnerability.

Allowed:
int32

Limit results to n number of pages.

int32

Begin showing results from page number n.

string
enum
Defaults to id

Order the results.

string
enum
Defaults to xml

Requested resource format for the response.

Allowed:
Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

400

BadRequestResponse indicates a request with invalid parameters.

401

UnauthorizedResponse signals an unauthorized API access.

403

ForbiddenResponse signals a request for a resource that does not exist or is not authorized.

500

GenericError generic error.

Language
Response
Choose an example:
application/json
text/xml
text/csv, text/comma-separated-values